---
title: "The deva revanta Mythology iconography history and ritualism"
date: 2007-05-27
draft: false
---

<div style="text-align: center;"><img src="/revanta2-full1.jpg"><br></div>
<div style="text-align: center;"><span style="font-weight: bold;">|| OM asidharAya iShudhanvine huM phat svAhA || </span></div>
<p>Like kArttikeya, revanta, a once popular deity, has faded from the Hindu mind, with decline of Indic civilization. We have long wanted collate a file on this deva and revive his rites as we are amongst the few still adhering to his worship. We have been made aware of some other works on him but we have not read those.</p>
<p><span style="font-weight: bold;">Mythology</span><br>The purANas narrate the core myth of the origin of the god revanta thus:<br>vivasvAn was given sanj~nA as his wife by tvasTA vishvakarman. vivasvan begot the twins yama and yamI, and manu vaivasvata through her. However, sanj~nA was unable to endure the excessive fiery lustre of vivasvAn and decided to leave him and go to the regions of the uttara kuru. She created a replica of herself in the form ChAyA and placed her with vivasvAn before retiring in the form of a mare. vivasvAn took ChAyA too be sanj~nA and begot on ChAyA, the inauspicious shanaishchara, the daughter tapatI and manu sAvarNI. One day ChAyA got into a conflict with the death-like yama vaivasvata as she mis-treated her foster son. Thus vivasvAn realized that ChAyA was not sanj~nA and through his dUradR^iShTi located her in the uttara kuru regions as a mare. So he assumed the form of a stallion and reached there. They copulated first via their nostrils, spawning the ashvins and then internally spawning revanta. He was born with a sword and bow, riding a horse and bearing a quiver full of arrows. vivasvAn said to revanta that he shall be the lord of the guhyaka tribe of yakShas and yakShiNI-s. He mentioned that at the time of forest fires and volcanic eruptions, and when dasyus and mlechChas devastate the land the mortal need to invoke revanta to obtain relief.</p>
<p>Versions of this tale are narrated in the viShNu (VP 3.2) and mArkaNDeya (MkP 78) purANa-s. The matsya (MP 11.2) and agni (AP 272.3; 273 in MBLD edition) purANa-s narrates a variant in which vivasvAn has a separate wife rAj~nI through whom he fathers revanta. The devi bhAgavataM mentions revanta as riding on uchChaishravas to visit viShNu, when lakShmI gets fascinated by the horse and fails to pay attention to viShNu. As a result he curse lakShmI to became a mare and generates the haihaya dynasty in this account (DB 6.17-18).</p>
<p><span style="font-weight: bold;">Iconography and history</span><br>varAhamihira states that idols of revanta should be shown on horseback with attendents hunting and sporting. This depiction of revanta is seen throughout the early medieval period throughout Greater India from Afghanistan (as reported by Priyatosh Banerjee) to the Vanga country. Typically he is shown with hunting attendants and is invariably accompanied by a dog. As with sUrya he is also shown with high-legged shoes and usually wields a sword and bow. revanta’s iconography is strikingly similar to that of the deity popular in mahAraShTra, karnATaka and Andhra know as khaNDoba or mallaNNa. He is depicted as riding a horse with a a dog accompanying him and holding a sword. Further, khaNDoba is known as a manifestation of mArtaNDa-bhairava and an explicit connection with the solar cult through this link is seen in some khaNDoba temples of Maharashtra where he is show with a solar emblem. Thus, it is likely that revanta evolved into the local khaNDoba cult after the 12 the centure CE in middle India. Unlike the late vedic/”itihasic” deities such as kArttikeya and the pA~ncharatric tetrad and the rapidly evolving vinAyaka who spread throughout India, revanta’s zone of initial spread (prior to 1100 of the CE) appears to only span the region from the northwest to northeast. His southern most spread in the east in the classical form is seen Orissa. The khaNDoba derivative appears to be a much later atypical variant that eventually reached the south and in the process lost connection with the classical revant. He has a prominent presence in Rajasthan and Gujarat which also correspond with the western zone of the old saura sect. Given this and the similarities in depiction of sUrya and revanta, it is possible that the shAkhadvIpi brahmins had an initial role in spread of the revanta worship. The epithet revant and its Avestan cognate raevant have been widely used for Vedic and Avestan deities including mitra in both the texts (see below). Given this it is possible that the name itself could have even emerged in the para-avestan Iranian Hindus.</p>
<p><span style="font-weight: bold;">Worship of revanta</span><br>There are several other references to worship of revanta in the purANas and associated texts.<br>-The agni purANa (AP 116.22) in describing the oblations to be made during the pilgrimage to the holy spot of gayA mentions that offering of rice balls to the 12 Aditya-s, agni, indra and revanta free on from the hold of disease and one attains heavenly pleasures. The garuDa purANa (GP 1.86.23 ) gives a homologous description of the rite at gayA, but in this the offerings to revanta are made to obtain good horses.<br>-The agni purANa states that making a gift of a horse consecrated to revanta decorated with gold removes the fear of death (AP 211.28).<br>-In the grand coronation of a king, where the entire Hindu pantheon is invoked to imbrue the rAjan with power, revanta is invoked along with kumAra, vinAyaka, vIrabhadra and nandI in one series of incantations (AP 219.18)<br>-The ashvAyurveda of shAlihotra states that periodically in the Ashvina month on the full-moon day the ashvashAnti rite for horses should be done. Amongst deities worshipped are revanta, for whom a lotus and pitcher with water are placed on the altar and 100 oblations with sesame, rice, ghee and white mustard are made (shAlihotrIya ashvashAntiH verse 6). A homolgous rite is mentioned in dhanvantari’s hayAyurveda (verse 6) which states that oblations should be made for the safety of horses to revanta and tonic be prepared during the rite of the sarala, nimba, guggulu, sarShapa, tila, vachA and hi~ngu extracts ground into butter. The Kashmirian nIlamata purANa (NMP 394) also mentions that the owners of horses should make oblations to revanta.</p>
<p><span style="font-weight: bold;">mantra prayogas</span><br>The worship of revanta deploys the tantric mantras and tantricized R^igvedic formulae. First one meditates on revanta riding a horse with a sword and bow and an excellent quiver. He is accompanied by his dog and his horse borne pArShadas.</p>
<p>The one utters his gAyatrI:</p>
<div style="text-align: center;"><span style="font-weight: bold;">|| oM ashvaprIyAya vidmahe sUryaputrAya dhimahI | tanno khaDgiH prachodayAt ||</span></div>
<p>Then one utters his names offering flowers:</p>
<div style="text-align: center;"><span style="font-weight: bold;">1) oM revantAya namaH 2) oM vaivasvatAya namaH 3) oM saMj~nAputrAya 4) oM ashvapriyAya namaH 4) oM ashvavAhanAya namaH 5) oM ashvapataye namaH 6) ashvavidyAdhiShThAya namaH 7) oM shreShThAya namaH 8) oM nisha~Ngine namaH 9) oM dhanur-hastAya namaH 10) oM charma-dhR^ite namaH 11) oM suvarNa- bANa- tuNa- samanvitAya namaH 12) oM ugra-tejasAya namaH 13) surya-retasoddhbhavAya namaH 14) oM mR^igavyAdhAya namaH 15) oM dasyu-taskara-mlechChAdi-upadrava- nAshakAya namaH 16) oM yauvanAya namaH 17) oM ashva-pAlAya namaH 18) guhyakAnAM-patye namaH 19) oM AraNyachAriNe namaH 20) oM suvarNa-kavachine namaH 21) yamAnujAya namaH</span></div>
<p>Then one performs tarpaNaM-s or oblations with the mahAmantra of revanta:</p>
<div style="text-align: center;"><span style="font-weight: bold;">rAM rIM ruM tAnAshiraM puroLAsham | rUM reM raiM indremaM somaM shrINIhi | roM rauM raM revantaM hi tvA shR^iNomi | raM svAhA revantaM pujAyAmI tarpayAmI namaH ||</span></div>
<p>One shall than install the yantra of revanta by invoking his parivAra of eight shakti-s:</p>
<div style="text-align: center;"><span style="font-weight: bold;">OM rAM dIptAyai namaH | OM rIM sUkShmAyai namaH | OM ruM jayAyai namaH | OM rUM bhadrAM namaH | OM reM vibhUtyai namaH | OM raiM vimalAyai namaH | OM roM amoghAyai namaH | OM rauM vidyutAyai namaH |</span></div>
<p>Then one shall meditate upon the syllable raM at the center of the yantra. Then tantric mahAmantra of revanta shall emanate from that:</p>
<div style="text-align: center; font-weight: bold;">|| rAM rIM ruM rUM reM raiM roM rauM raM asidharAya iShudhanvine huM phaT svAhA ||</div>
<p>
</p><div style="text-align: center;"><img src="/revanta-full.jpg"><br><span style="font-size:78%;"><br>[This Article is borrowed from<span style="font-weight: bold;font-size:180%;"> <a href="http://somasushma.googlepages.com/revanta"><span>Somasushma</span></a> </span>with their permission]</span></div>